/*
 * MDC Desktop Client Created on 19-May-2005
 */
package org.mdcog.client.desktop.gui.controllers;

/**
 * The tabbed pane registers itself to controllers under this interface so they
 * can call it back to switch tabs on demand. This means only the controllers
 * have no knowledge of tab indexs
 */
public interface TabSelectorInterface
{

    /**
     * This method switches selection to the library tab
     */
    public void selectLibraryTab();
    /**
     * This method switches selection to the search tab
     */
    public void selectSearchTab();
}
