/*
 * MDC Desktop Client
 * Created on 23-Jun-2005 
 */
package org.mdcog.client.desktop.gui.models;

import javax.swing.table.TableColumn;


/**
 * Implementers of this interface know how to show and display columns
 */
public interface ColumnDisplayInterface
{
    /**
     * show or hide the specified table column
     * 
     * @param column The column to show or hide
     * @param display true if we are to display this column false if we are
     *        hiding
     */
    public void showColumn(TableColumn column, boolean display);
}
