/*
 * MDC Desktop Client Created on 11-May-2005
 */
package org.mdcog.client.desktop.gui.models;

import java.util.ArrayList;

import org.mdcog.client.desktop.model.MDCLibraryModel;

/**
 * This class is used by the standard file open/save dialog to allow the user to
 * filter only on the create list pdf file extension
 */
public class MDCCreateListPDFFilter extends MDCFileFilter
{

    /**
     * Public constructor that sets up the Filter super class
     */
    public MDCCreateListPDFFilter()
    {
        super("PDF files (*." + MDCLibraryModel.CREATE_LIST_PDF_FILE_EXTENSION + ")");
        ArrayList extensions = new ArrayList();
        extensions.add(MDCLibraryModel.CREATE_LIST_PDF_FILE_EXTENSION);
        setExtensions(extensions);       
    }    
}
