/*
 * MDC Desktop Client Created on 11-May-2005
 */
package org.mdcog.client.desktop.gui.models;

import java.util.ArrayList;

import org.mdcog.client.desktop.model.MDCLibraryModel;

/**
 * This class is used by the standard file open/save dialog to allow the user to
 * filter only on applicable import formats
 */
public class MDCImportFileFilter extends MDCFileFilter
{

    /**
     * Public constructor that sets up the Filter super class
     */
    public MDCImportFileFilter()
    {
        super("MDC Import Files (*." + MDCLibraryModel.EXPORT_FILE_EXTENSION + " ; *." + MDCLibraryModel.LIBRARY_FILE_EXTENSION + ")");
        ArrayList extensions = new ArrayList();
        extensions.add(MDCLibraryModel.EXPORT_FILE_EXTENSION);
        extensions.add(MDCLibraryModel.LIBRARY_FILE_EXTENSION);
        setExtensions(extensions);
    }
}
