/*
 * MDC Desktop Client
 * Created on 16-May-2005 
 */
package org.mdcog.client.desktop.gui.models;

import java.util.EventListener;

/**
 * This class represents the event generated when the user clicks on the 
 * buttons in the table
 */
public interface ResourceItemButtonListener extends EventListener
{

    /**
     * Called when a button in resource table has been clicked.
     * 
     * @param row The row that was clicked
     */
    public void buttonClicked(int row);
}
