/*
 * MDC Desktop Client
 * Created on 26-Apr-2005 
 */
package org.mdcog.client.desktop.gui.models;

import java.util.Comparator;

import org.mdcog.client.desktop.model.ResourceItem;

/**
 * Compares Resource List Items
 */
public class ResourceListComparator implements Comparator
{

    /**
     * compare the two objects
     * @param object1 The first item to compare
     * @param object2 The second item to compare
     * @return The resource item > than other done on author
     */
    public int compare(Object object1, Object object2)
    {
        ResourceItem itemA = (ResourceItem) object1;
        ResourceItem itemB = (ResourceItem) object2;

        return itemA.getAuthor().compareTo(itemB.getAuthor());
    }

}
