/*
 * MDC Desktop Client
 * Created on 26-Apr-2005 
 */
package org.mdcog.client.desktop.gui.models;

import java.util.Comparator;

import javax.swing.table.TableColumn;



/**
 * Compares two table columns by name
 */
public class TableColumnComparator implements Comparator
{

    /**
     * compare the two objects
     * @param object1 The first item to compare
     * @param object2 The second item to compare
     * @return The TableColumn > than other done on header name
     */
    public int compare(Object object1, Object object2)
    {
        String itemA = ((TableColumn) object1).getHeaderValue().toString();
        String itemB = ((TableColumn) object2).getHeaderValue().toString();

        return itemA.compareTo(itemB);
    }

}
