/*
 * MDC Desktop Client Created on 22-Apr-2005
 */
package org.mdcog;


/**
 * The super class for all MDC EXceptions
 */
public class MdcException extends Exception {

/**
 * Creates new <code>MdcException</code> with null as its detail message.
 * The cause is not initialized, and may subsequently be initialized by a
 * call to Throwable.initCause(java.lang.Throwable).
 */
  public MdcException() {
  }

/**
 * Creates new <code>MdcException</code> with the specified detail message.
 * The cause is not initialized, and may subsequently be initialized by a
 * call to Throwable.initCause(java.lang.Throwable).
 * @param message the detail message.
 */
  public MdcException(String message) {
    super(message);
  }

/**
 * Creates new <code>MdcException</code> with the specified detail message
 * and cause
 * @param message the detail message (which is saved for later retrieval by
 *  the Throwable.getMessage() method).
 * @param cause the cause (which is saved for later retrieval by the
 *  Throwable.getCause() method). A null value is permitted, and indicates that
 *  the cause is nonexistent or unknown.
 */
  public MdcException(String message, Throwable cause) {
    super(message, cause);
  }

/**
 * Constructs a new exception with the specified cause and a detail message of
 * <code>(cause == null ? null : cause.toString())</code> which typically contains the class
 * and detail message of cause). This constructor is useful for exceptions that
 * are little more than wrappers for other throwables
 * @param cause the cause (which is saved for later retrieval by the
 *  Throwable.getCause() method). A null value is permitted, and indicates that
 *  the cause is nonexistent or unknown.
 */
  public MdcException(Throwable cause) {
    super(cause);
  }
}
