/*
 * MDC Desktop Client Created on 03-May-2005
 */
package org.mdcog.client.desktop.gui.images;

import javax.swing.Icon;
import javax.swing.ImageIcon;

/**
 * This class loads and holds all the icons used in the client
 */
public class MDCIcons
{
    /**
     * Stores a reference to the annotation icon
     */
    public final static Icon ANNOTATION_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/annotation.gif"));
    /**
     * Stores a reference to the delete icon
     */
    public final static Icon DELETE_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/deletelarge.gif"));

    /**
     * Stores a reference to the world icon
     */
    public final static Icon WORLD_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/world.gif"));

    /**
     * Stores a reference to the library icon
     */
    public final static Icon LIBRARY_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/librarytab.gif"));

    /**
     * Stores a reference to the search icon
     */
    public final static Icon SEARCH_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/searchtab.gif"));

    /**
     * Stores a reference to the search results icon
     */
    public final static Icon SEARCHSMALL_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/searchtabsmall.gif"));

    /**
     * Stores a reference to the close tab icon
     */
    public final static Icon CLOSETAB_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/closetab.gif"));

    /**
     * Stores a reference to the close all tabs icon
     */
    public final static Icon CLOSEALLTABS_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/closealltabs.gif"));

    /**
     * Stores a reference to the open icon
     */
    public final static Icon OPENSMALL_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/opensmall.gif"));

    /**
     * Stores a reference to the resource list icon
     */
    public final static Icon RESOURCELIST_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/resourcelist.gif"));

    /**
     * Stores a reference to the new resource list icon
     */
    public final static Icon NEWRESOURCELIST_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/newresourcelist.gif"));

    /**
     * Stores a reference to the rename resource list icon
     */
    public final static Icon RENAMERESOURCELIST_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/renameresourcelist.gif"));

    /**
     * Stores a reference to the save resource item icon
     */
    public final static Icon SAVERESOURCEITEM_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/saveresource.gif"));

    /**
     * Stores a reference to the copy resource item icon
     */
    public final static Icon COPYRESOURCEITEM_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/copyresourceitem.gif"));

    /**
     * Stores a reference to the add resource item icon
     */
    public final static Icon ADDRESOURCEITEM_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/addresourceitem.gif"));

    /**
     * Stores a reference to the save resource item icon
     */
    public final static Icon MOVERESOURCEITEMTOMYLIST_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/moveresourceitemtomylist.gif"));
    
    /**
     * Stores a reference to the LTG Banner item icon
     */
    public final static Icon LTGBANNER_ICON = new ImageIcon(MDCIcons.class
            .getResource("/org/mdcog/client/desktop/gui/images/ltgbanner.gif"));
}
